Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IOP_CodecA.h File Reference

This graph shows which files directly or indirectly include this file:

## Functions
TAO_Export void | operator<<= (CORBA::Any &, IOP::Codec_ptr)
TAO_Export void | operator<<= (CORBA::Any &, IOP::Codec_ptr *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, IOP::Codec_ptr &)
TAO_Export void | operator<<= (CORBA::Any &, const IOP::Codec::InvalidTypeForEncoding &)
TAO_Export void | operator<<= (CORBA::Any &, IOP::Codec::InvalidTypeForEncoding *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, IOP::Codec::InvalidTypeForEncoding *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const IOP::Codec::InvalidTypeForEncoding *&)
TAO_Export void | operator<<= (CORBA::Any &, const IOP::Codec::FormatMismatch &)
TAO_Export void | operator<<= (CORBA::Any &, IOP::Codec::FormatMismatch *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, IOP::Codec::FormatMismatch *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const IOP::Codec::FormatMismatch *&)
TAO_Export void | operator<<= (CORBA::Any &, const IOP::Codec::TypeMismatch &)
TAO_Export void | operator<<= (CORBA::Any &, IOP::Codec::TypeMismatch *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, IOP::Codec::TypeMismatch *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const IOP::Codec::TypeMismatch *&)
TAO_Export void | operator<<= (CORBA::Any &, const IOP::Encoding &)
TAO_Export void | operator<<= (CORBA::Any &, IOP::Encoding *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, IOP::Encoding *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const IOP::Encoding *&)
TAO_Export void | operator<<= (CORBA::Any &, IOP::CodecFactory_ptr *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, IOP::CodecFactory_ptr &)
TAO_Export void | operator<<= (CORBA::Any &, const IOP::CodecFactory::UnknownEncoding &)
TAO_Export void | operator<<= (CORBA::Any &, IOP::CodecFactory::UnknownEncoding *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, IOP::CodecFactory::UnknownEncoding *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const IOP::CodecFactory::UnknownEncoding *&)

## Function Documentation

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | IOP::CodecFactory::UnknownEncoding * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const IOP::CodecFactory::UnknownEncoding & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | IOP::CodecFactory_ptr * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | IOP::Encoding * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const IOP::Encoding & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | IOP::Codec::TypeMismatch * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const IOP::Codec::TypeMismatch & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | IOP::Codec::FormatMismatch * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const IOP::Codec::FormatMismatch & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | IOP::Codec::InvalidTypeForEncoding * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const IOP::Codec::InvalidTypeForEncoding & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | IOP::Codec_ptr * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | IOP::Codec_ptr |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const IOP::CodecFactory::UnknownEncoding *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | IOP::CodecFactory::UnknownEncoding *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | IOP::CodecFactory_ptr & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const IOP::Encoding *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | IOP::Encoding *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const IOP::Codec::TypeMismatch *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | IOP::Codec::TypeMismatch *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const IOP::Codec::FormatMismatch *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | IOP::Codec::FormatMismatch *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const IOP::Codec::InvalidTypeForEncoding *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | IOP::Codec::InvalidTypeForEncoding *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | IOP::Codec_ptr & |
| ) |